extend("fiskheroes:spider_man_base");
loadTextures({
    "layer1": "fiskheroes:spiderman/spider_man_webb_fire_layer1",
    "layer2": "fiskheroes:spider_man_webb_layer2",
    "hat": "fiskheroes:spiderman/firehat"
});

var firehat;

function init(renderer) {
    parent.init(renderer);
    renderer.setItemIcons("%s_0", "spider_man_webb_1", "spider_man_webb_2", "spider_man_webb_3")
}

function initEffects(renderer) {
    parent.initEffects(renderer);
    var modelHat = renderer.createResource("MODEL", "skarlet:firehat");
    modelHat.texture.set("hat");
    firehat = renderer.createEffect("fiskheroes:model").setModel(modelHat);
    firehat.anchor.set("head");
    renderer.bindProperty("fiskheroes:equipment_wheel").color.set(0x00102A);
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (renderLayer == "HELMET" && !isFirstPersonArm) {
        firehat.render();
	}
}